package com.atlassian.bitbucket.mesh.git.exception;

import com.atlassian.bitbucket.mesh.AbstractStatusException;
import io.grpc.Status;

import javax.annotation.Nullable;

public class FailedPreconditionException extends AbstractStatusException {

    public FailedPreconditionException(@Nullable String message) {
        super(message, Status.FAILED_PRECONDITION);
    }

    public FailedPreconditionException(@Nullable String message, @Nullable Throwable cause) {
        super(message, cause, Status.FAILED_PRECONDITION);
    }
}
